import express from 'express';
import { getNotes, createNote, deleteNote } from '../controllers/diaryNoteController.js';
import { authenticate } from '../middleware/authMiddleware.js';

const router = express.Router();

router.get('/', authenticate, getNotes);
router.post('/', authenticate, createNote);
router.delete('/:noteId', authenticate, deleteNote);

export default router;
